aboutsummaryrefslogtreecommitdiff
path: root/libgo/misc/cgo/fortran/test.bash
diff options
context:
space:
mode:
authorIan Lance Taylor <ian@gcc.gnu.org>2017-06-27 04:21:40 +0000
committerIan Lance Taylor <ian@gcc.gnu.org>2017-06-27 04:21:40 +0000
commit936615752a29ab245708d40782427c25e60a2114 (patch)
treef43366b59cae9e51da40272eefd1ea71bb3ea055 /libgo/misc/cgo/fortran/test.bash
parent9913ef5866a64176bac5749080487b0c7d637d4b (diff)
downloadgcc-936615752a29ab245708d40782427c25e60a2114.zip
gcc-936615752a29ab245708d40782427c25e60a2114.tar.gz
gcc-936615752a29ab245708d40782427c25e60a2114.tar.bz2
libgo: add misc/cgo files
Copy all the misc/cgo files from the gc toolchain into libgo/misc. These will be used for testing purposes by later changes to the gotools directory. Reviewed-on: https://go-review.googlesource.com/46721 From-SVN: r249674
Diffstat (limited to 'libgo/misc/cgo/fortran/test.bash')
-rw-r--r--libgo/misc/cgo/fortran/test.bash39
1 files changed, 39 insertions, 0 deletions
diff --git a/libgo/misc/cgo/fortran/test.bash b/libgo/misc/cgo/fortran/test.bash
new file mode 100644
index 0000000..3d1bc9d
--- /dev/null
+++ b/libgo/misc/cgo/fortran/test.bash
@@ -0,0 +1,39 @@
+#!/usr/bin/env bash
+# Copyright 2016 The Go Authors. All rights reserved.
+# Use of this source code is governed by a BSD-style
+# license that can be found in the LICENSE file.
+
+# This directory is intended to test the use of Fortran with cgo.
+
+set -e
+
+FC=$1
+
+goos=$(go env GOOS)
+
+libext="so"
+if [ "$goos" == "darwin" ]; then
+ libext="dylib"
+fi
+
+case "$FC" in
+*gfortran*)
+ libpath=$(dirname $($FC -print-file-name=libgfortran.$libext))
+ export CGO_LDFLAGS="$CGO_LDFLAGS -Wl,-rpath,$libpath -L $libpath"
+ ;;
+esac
+
+if ! $FC helloworld/helloworld.f90 -o main.exe >& /dev/null; then
+ echo "skipping Fortran test: could not build helloworld.f90 with $FC"
+ exit 0
+fi
+rm -f main.exe
+
+status=0
+
+if ! go test; then
+ echo "FAIL: go test"
+ status=1
+fi
+
+exit $status